Page MenuHomePhabricator

Fix improper viewer for Git SSH cluster workflows
ClosedPublic

Authored by epriestley on May 12 2016, 12:03 AM.
Tags
None
Referenced Files
F11031831: D15893.id38286.diff
Sun, Aug 14, 3:37 AM
Unknown Object (File)
Mon, Aug 8, 5:12 AM
Unknown Object (File)
Fri, Jul 29, 1:05 AM
Unknown Object (File)
Thu, Jul 21, 10:01 PM
Unknown Object (File)
Jul 9 2022, 8:46 AM
Unknown Object (File)
Jul 9 2022, 8:46 AM
Unknown Object (File)
Jul 8 2022, 10:22 PM
Unknown Object (File)
Jul 6 2022, 6:14 PM
Subscribers
None

Details

Summary

Ref T10751. These workflows have separate getUser() and getViewer() for weird legacy reasons. getUser() is correct.

Test Plan
  • Did a Git SSH push, verified that "Last Writer" reflected the proper user in the "Storage" UI in repository management.
  • Grepped for other callsites, double-checked that they used correct users.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

epriestley retitled this revision from to Fix improper viewer for Git SSH cluster workflows.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: chad.

Specifically, this fixes the bad "Last Writer" column visible here:

Screen Shot 2016-05-11 at 4.39.13 PM.png (989×1 px, 136 KB)

chad edited edge metadata.
This revision is now accepted and ready to land.May 12 2016, 12:47 AM
This revision was automatically updated to reflect the committed changes.